/* =============================================================================
/* Hugo-Cite.css
/* ----------------------------------------------------------------------------- */

:root {
  --main-width: 750px;
}

figure.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 30%;
}

.hugo-cite-group {
  display: inline-block;
  vertical-align: baseline; /*compensate for lower height */
  position: relative;
  font-size: .85em; /* reduce to avoid some breaks */
}

.hugo-cite-group
  .hugo-cite-citation {
    visibility: hidden;
    background-color: #fefefe;
    /* color: inherit; */
    color: rgb(30, 30, 30);
    border: 1px solid currentColor;
    padding: 1rem;
    position: absolute;
    width: 350px;
    max-width: 100vw;
    z-index: 1;
    bottom: 140%;
    left: 0;
    margin-left: -50px;

    z-index: 2;
    transition:
      visibility 0s .3s,
      transform .3s ease 0s,
      opacity .3s ease 0s;
    opacity: 0;
    transform: translateY(-8px);
}

body.dark .hugo-cite-group .hugo-cite-citation {
  /* background-color: #1d1d1d; */
  filter: invert(1);
}

.hugo-cite-group:hover
  .hugo-cite-citation {
    visibility: visible;
    transition: visibility 0s 0s, transform .3s, opacity .3s;
    opacity: 1;
    transform: translateY(0);
}

/* Visually Hidden utility class */
.visually-hidden {
  clip: rect(1px, 1px, 1px, 1px);
  height: 1px;
  overflow: hidden;
  position: absolute;
  width: 1px;
}

.hugo-cite-bibliography dt {
  width: 100%;
  text-decoration: underline;
}

.hugo-cite-bibliography dd {
  width: 100%;
  margin-left: 3em;
}

/* .post-content img[src$=".svg"] { 
  width: 100%;
}

.post-content svg.typst-doc {
  user-select: text;
  width: 100%;
} */

/* .post-content .typst-page {
  width: 750px;
} */

/* Fixes for Quarto */

.post-content dl {
  display: unset;
}

.post-content a {
  color: unset;
}

.first-entry {
  min-height: unset;
}

/* .post-content p {
  margin-top: 1em;
  margin-bottom: 1em;
} */

/* .post-content dl, .post-content ol, .post-content p, .post-content figure, .post-content ul {
  margin-bottom: var(--content-gap);
} */

body.dark .post-content svg {
  filter: invert(1);
}

/* SVG under MathJax should not be reverted again */
body.dark .MathJax svg {
    filter: none;
}

img, video {
  max-width: 100%;
  height: auto;
}
